# $Revision: 1.3 $, $Date: 2004/05/05 06:35:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	XPath-Simple
Summary:	XML::XPath::Simple - very simple interface for XPaths
Summary(pl):	XML::XPath::Simple - bardzo prosty interfejs do XPath
Name:		perl-XML-XPath-Simple
Version:	0.05
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c97b04ecd031e7a27e5b8eb09a44928f
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.18
BuildRequires:	perl-XML-Simple >= 1.08
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-Simple >= 1.08
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::XPath::Simple is designed to allow for the use of simple
Abbreviated XPath syntax to access values from a small XML document.
This module is not meant as a drop-in replacement for XML::XPath, and
doesn't support the entire W3C XPath Recommendation. This module is
meant as an easy and simple way to access XML data from small,
non-complex structures.

XML::XPath::Simple doesn't support documents that have elements
containing mixed content (text and tags), nor does it allow for the
walking of the tree structure, or the counting of elements. While this
module allows access to specific nodes using the position() function,
internally the module doesn't necessarially parse the XML structure in
any specific order, so position() calls may not return the value
expected.

%description -l pl
XML::XPath::Simple zosta zaprojektowany aby umoliwi uycie prostej
skadni Abbreviated XPath do dostpu do wartoci z maego dokumentu
XML. Ten modu nie ma by penym zamiennikiem XML::XPath i nie
obsuguje caej rekomendacji XPath z W3C. Ma by prostym sposobem na
dostp do danych XML z maych, nie zoonych struktur.

XML::XPath::Simple nie obsuguje dokumentw z elementami o mieszanej
treci (tekst i znaczniki), nie pozwala te na przemieszczanie po
strukturze drzewa ani liczenie elementw. O ile ten modu pozwala na
dostp do okrelonych wzw przy uyciu funkcji position(),
wewntrznie niekoniecznie analizuje struktur XML-a w okrelonej
kolejnoci, wic wywoania position() mog nie zwrci takiej
wartoci, jak oczekiwano.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/XPath/Simple.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-XPath-Simple.spec,v $
Revision 1.3  2004/05/05 06:35:05  ankry
- license fix, cosmetics

Revision 1.2  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.1  2004/01/07 16:03:26  qboosh
- new

